Standalone backup agents for Linux and Unix workloads on-premises or in the public cloud
Post Reply
sandsturm
Expert
Posts: 164
Liked: 13 times
Joined: Mar 23, 2015 8:30 am
Contact:

Veeam agent for Linux V4 support for VBR 9.5 u4

Post by sandsturm »

Hi

I couldn't find some sort of compatibitlity list for the Veeam Linux agent V4 together with VBR 9.5 Update4. We manage and deploy all Veeam agents for Linux via VBR and the questions is, if I can use the VAL 4 on a VBR 9.5u4 environment, because VBR upgrade to V10 needs a little more time and I want to be able to use the current VAL version from now on.

thx
sandsturm

nielsengelen
Veeam Software
Posts: 3687
Liked: 724 times
Joined: Jul 15, 2013 11:09 am
Full Name: Niels Engelen
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by nielsengelen »

9.5 does not support V4 so you will need to upgrade VBR first.
https://foonet.be

sandsturm
Expert
Posts: 164
Liked: 13 times
Joined: Mar 23, 2015 8:30 am
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by sandsturm »

thanks a lot for the fast answer

einhirn
Enthusiast
Posts: 40
Liked: 5 times
Joined: Feb 02, 2015 1:51 pm
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by einhirn »

Hello,

some of our Linux boxes (only CentOS?) upgraded to VALv4 automatically already and don't do backups since 2020/02/19 because we haven't yet upgraded the VBR server. That's not very nice. :(
Isn't there usually some time before the clients start to upgrade? Or should we change to "holding" the VAL package so we can determine when to upgrade?

We'll probably upgrade our VBR server this week, so the problem will be resolved soon, but it'd be great not to encounter it again with the next major release/breaking change...

Thank you!d

ttlan1002
Service Provider
Posts: 23
Liked: never
Joined: Oct 10, 2019 3:54 am
Full Name: Tran Thanh Linh An
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by ttlan1002 »

Code: Select all

Hi all,
Can you share why VAL auto update to v4 while VBR is still 9.5 v4?

How can we disable the auto updating for all VAL v3?

Thanks

Mildur
Service Provider
Posts: 306
Liked: 117 times
Joined: May 13, 2017 4:51 pm
Full Name: Fabian Kessler
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by Mildur »

ttlan1002 wrote: Apr 15, 2020 4:20 amCan you share why VAL auto update to v4 while VBR is still 9.5 v4?

How can we disable the auto updating for all VAL v3?
If a Linux Agent is unmanaged/standalone installation, it gets the agent from a veeam web repository. If veeam publish the new binaries to the repo, veeam will update the agent from there.

If it‘s managed by backup server, veeam vbr is responsible for the update.


https://helpcenter.veeam.com/docs/agent ... tml?ver=40

PTide
Product Manager
Posts: 5669
Liked: 556 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by PTide » 1 person likes this post

Hi @einhirn,

As @Mildur has mentioned, if VAL is managed by VBR, then VBR will update the agent. However, if the agent operates in a standalone mode, updates are managed by your system just as for all other software that is installed on the machine. That is, the agent is unable to update itself.

Thanks

einhirn
Enthusiast
Posts: 40
Liked: 5 times
Joined: Feb 02, 2015 1:51 pm
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by einhirn »

Hi @PTide,

you didn't get what I meant, maybe I was to vague:

The issue I (and probably some other users of Veeam Agent Free) had, was that the 4.0 release was pushed to the automatic update servers (at least for Linux) almost immediately after Veeam V10 was released. This wouldn't have been a problem if still would have backed up our data to a v9.5 repository (because we weren't ready to upgrade our Veeam Backup&Replication Servers just yet).

But it didn't.

Since there was no kind of alarm on our servers (like a failed agent job) to notify us about the fact that there were no more backups done, we only noticed it when looking at the boxes that were supposed to be backed up...

And then we found out that there was no easy way to downgrade to V3.x again to get the backups going again. We needed to de-install and re-install the client, losing CBT-data along the way and needing to do a new active full backup - filling up our disks.

So all in all it was an unpleasant experience, one I did not expect to have from what I was used to from Veeam.

And my post was all about: Please prevent something like that from happening again in the future.

Thank you!

PTide
Product Manager
Posts: 5669
Liked: 556 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by PTide »

Hi @einhirn,

I got what you meant
some of our Linux boxes (only CentOS?) upgraded to VALv4 automatically already and don't do backups since 2020/02/19 because we haven't yet upgraded the VBR server. That's not very nice. :(
That's because auto-update has been enabled in OS settings. The best what we can do regarding the problem is to make it so that VBR will show job failure in UI (and therefore send email notifications) and teach VAL how to continue the backup chain.

For now I'd suggest to disable auto-updates in the OS (at least for veeam repo). In addition to that I'd advise to use VAL in a managed mode so that VBR will keep track of its version.

Thanks!

einhirn
Enthusiast
Posts: 40
Liked: 5 times
Joined: Feb 02, 2015 1:51 pm
Contact:

Re: Veeam agent for Linux V4 support for VBR 9.5 u4

Post by einhirn »

Hello PTide,

ah, ok, sorry I didn't follow your train of thoughts and wasn't able to connect the dots.

Thanks for considering a warning message.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests